Skip to main content

Reprove a Transfer Batch

PUT 

/v2/transfer/batches/:uid/reprove

Asynchronous Processing: This endpoint is processed asynchronously and creates a repproval command for the Transfer Batch. The reproval of a Transfer Batch is done asynchronously, that is, when receiving the request, our API stores the request and creates a Command. This command is processed in the background and after confirmed, the Batch has its status changed to Reproved. You receive in the response of this request the ID of the created command and can query it at any time.

Webhook Events

When the request is made, a transfer.transfer_batch.reprove.requested event is triggered. Our server then begins sending attempts to release the transfer to the financial institution. Only after confirmed at the financial institution, the batch is then marked as approved in our database. At this point the transfer.transfer_batch.reprove.confirmed event is triggered.

⚠️ Attention to Reproved status: The Reproved status is terminal. When the financial institution cancels the transfers, they will have their status changed to Reproved

Request

Responses

Command created successfully